// ServerSetting.h : CServerSetting の宣言

#pragma once
#include "resource.h"       // メイン シンボル

#include "04WebServer.h"


// CServerSetting

class ATL_NO_VTABLE CServerSetting : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CServerSetting, &CLSID_ServerSetting>,
	public IDispatchImpl<IServerSetting, &IID_IServerSetting, &LIBID_My04WebServerLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CServerSetting()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SERVERSETTING)


BEGIN_COM_MAP(CServerSetting)
	COM_INTERFACE_ENTRY(IServerSetting)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(WriteServerSetting)(BSTR setting);
	STDMETHOD(ReadServerSetting)(BSTR* setting);
	STDMETHOD(GetSettingFilePath)(BSTR* path);
};

OBJECT_ENTRY_AUTO(__uuidof(ServerSetting), CServerSetting)
